services:
  post-to-email:
    image: matthiasmullie/post-to-email
    container_name: p2etaal-academiearreebzh_post-to-email
    networks:
      - mailserver
    env_file:
      - .env
      - ../passwords/p2etaal-academiearreebzh.pass
    ports:
      - "127.0.0.1:9013:80"
    healthcheck:
      test: 'curl --fail http://localhost:80/?SENDER=test@example.com'
      interval: 1m
      timeout: 10s
      retries: 3
      start_period: 20s
    restart: unless-stopped
  zola:
    build: .
    container_name: taal-academiearreebzh_zola
    ports:
      - "127.0.0.1:8001:80"
    restart: unless-stopped
networks:
  mailserver:
    external: true
